#!/usr/bin/env bash

############
# This script executes operations on UBS DB.
# - this is run inside of the ubs_db_ops container.
#
############

# Exit immediately on failure
set -e

# Create connection string
if [ -z "$RDS_SSLROOTCERT" ] # If not set
then
    PSQL_CONN="postgresql://${RDS_USER}:${RDS_PASSWORD}@${RDS_WRITER_HOST}:${RDS_PORT}/${RDS_DB}?sslmode=${RDS_SSLMODE}"
else
    PSQL_CONN="postgresql://${RDS_USER}:${RDS_PASSWORD}@${RDS_WRITER_HOST}:${RDS_PORT}/${RDS_DB}?sslmode=${RDS_SSLMODE}&sslrootcert=${RDS_SSLROOTCERT}"
fi

# Perform sql operations
for filename in /db/db_ops/*
do
    if [ -s "$filename" ]
    then
        # Execute the SQL script
        psql ${PSQL_CONN} -f ${filename}
    fi
done
